function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"3",100,"messageinfo")  
-- return;end;
showoptons(0);
return;end;

function mini_create ()
	show_help_wnd=true;
	init_mini(1);
	create_mini(19,16,30,188,81,847,574,1001,3,5,0,1000);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"3",100,"messageinfo")
		end;		
	   BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("robert_room",5,0);
		--Emitters(true);
		DarkScreen(false);	
		if flags.minicomplete2 then
		    StopEmiter("Box")
			flags.minitext2=true
			collaps_obj(4,0,0,0,0);
			setcolor(4,0,0,0,0.5,1);
			Set_Cursor(32,3);

		return; end;
		DeleteResource("m_parts");
		DeleteResource("m_bg");
		DeleteResource("m_btn1");
		DeleteResource("m_btn2");
		DeleteResource("m_btn3");	
		DeleteResource("m_news");	
	return; end;
	if sender==36 then
	if id==2100 then
		BlockCursor(false);
	   clear_satelite_leaf("robert_room");
	   return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete2=true;
		playeffect("miniC");
		StartTimer(2100,3)
		BlockCursor(true);
	--	speciale_action(2,1026);
		

	return; end;
	
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;	
	if sender==1 then
		if id==6000 then
			CreateWindow(200,200,"3",100,"messageinfo") 
		return;end;		
		if id==5000 and skipping then
		playeffect("skip");
			if not flags.minicomplete2 then
				SkipMini();
			return;end;	
		return;end;		
		-- if id==1026 then
		   -- clear_satelite_leaf("robert_room");
		-- return;end;
		if objectid==0 then
			if id==1021 then
				finish_mini_game(false);
				playeffect("close");
				clear_satelite_leaf("robert_room");
					
			return;end;
			if not flags.minicomplete2 then		
			if id>=1001 and id<=1016 then --нажимаем на часть телеграммы
				add_to_mouse(id);
				mousepresed=true;
				objectid=id;
			return 0; end	
			return; end;  	
		return; end;
	return; end;  	

	if sender == 6 --Отпустили левую кнопку мышки
	then		
	-- if flags.minicomplete2 then
	   -- clear_satelite_leaf("robert_room");
	-- return;end;
		if mousepresed==true
		then
			playeffect("pclick");
			RemoveFromMouse(objectid);
			check_mini_game_puzzle(objectid);
			mousepresed=false;
			objectid=0;
		end
	return; end;	
end;
function mini_delete ()

end;